%define upstream_name Test-YAML
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Testing Module for YAML Implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base) >= 0.890.0
BuildArch:  noarch

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/test-yaml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-3.mga8
+ Revision: 1506666
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-2.mga7
+ Revision: 1286890
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 tv <tv> 1.70.0-1.mga7
+ Revision: 1237575
- update to 1.07

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1034890
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 968887
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 856483
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 748037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-2.mga5
+ Revision: 686585
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.50.0-1.mga5
+ Revision: 665427
- update to 1.05

* Sun Aug 17 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 664621
- update to 1.04

* Sat Aug 16 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 664298
- update to 1.03

* Fri Aug 08 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 661028
- imported package perl-Test-YAML

